module Adhd_Osx
	class Adhd_Osx::Notification

		# Displays a notification in OS X Notification Center
		# 
		def self.notify(**hash)
			command = 'osascript -e \'display notification "%s"' % hash[:body]
			command += 'with title "%s"' % hash[:title] if hash[:title]
			command += 'subtitle "%s"' % hash[:subtitle] if hash[:subtitle]
			command += 'sound name "%s"' % hash[:sound] if hash[:sound]
			command += "\'"
			exec command
		end

	end

end

